Subject: bug#33235: closed (Re: bug#33235: Bzip hash error)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Nov 2018 03:10:02 +0000

Your bug report

#33235: Bzip hash error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33235: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33235
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33235: Bzip hash error
From: Leo Famulari <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Nov 2018 23:09:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Nov 02, 2018 at 03:29:50AM +0100, [email-masked] wrote:
> Hi Leo,
> 
> I’m coming from an installation using guix init, and am typing from mobile.
> I am using the berlin substitutes. I guess my option is to guix pull the
> live iso?

No, I recommend against doing `guix pull` before initializing. We test
that the installer works, but if you update Guix before initialization,
then you void the warranty ;)

The bzip2.org site is offline; the domain registration expired and the
site is gone:

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7598b678fad2112ea87a85acf755908a59dd4676

I recommend downloading the missing source code from the archives, using
`guix download`. For your reference, here is the full URL:

https://web.archive.org/web/20180624184835/http://www.bzip.org/1.0.6/bzip2-1.0.6.tar.gz

Subject: Bzip hash error
From: [email-masked]
To: [email-masked]
Date: Fri, 02 Nov 2018 03:05:16 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The sha256 has for bzip2 is mismatching on build.